<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_923b46b96d9db24" . "c4faa35027fc77b7" . "1" => base64_decode("Q29udHJvbCBjYW4ndCBpbnB1dCB0aGUgZGF" . "0YQ=="), "righ" . "ts" => base64_decode("cmlna" . "HRz"), "_4be538b2" . "f65f8d8f8" . "dde8a914f" . "610076" => base64_decode("Vml" . "ldw" . "=="), "_6f65d5feee27b320b6f778" . "5c82762a72" => base64_decode("dXNlcnNfbGlzdC52aXNpY" . "mxl"));





class FFControlUsersList extends FFControlAbstract
{
    var $perms;
    var $perms_dialog;
    
    
    
    
    
    
    
    public function __construct($key, $title)
    {
        parent::__construct($key, $title);
        $this->data[$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["right" . "s"]] = array();
    }
    
    
    
    
    
    public function LoadFromForm()
    {
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4be538b2f65" . "f8d8f8dde8a9" . "14f610076"], 1)));
        $this->perms->Load();
        if (!$this->perms_dialog or !$this->perms_dialog->Update()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_923b46b96d9db2" . "4c4faa35027fc77" . "b71"]);
        }
        $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["ri" . "gh" . "ts"]] = $this->perms->rights;
        
        
        
        return true;
    }
    public function Draw()
    {
        $_1a7eeedc1ca1289115e80107e7e6a911[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_6f65d5feee27b" . "320b6f7785c827" . "62a72"]] = 1;
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4be538b2f65f8d8f8dde8a9" . "14f610076"], 1)));
        $this->perms->Load();
        $this->perms->rights = $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["ri" . "gh" . "ts"]];
        $this->perms_dialog->Show();
        return $_1a7eeedc1ca1289115e80107e7e6a911;
    }
}